Programmer bugs' blog

Tutorial Upgrade PHP on Windows appserv

Posted on: February 16, 2013

1- Download the latest version of PHP windows here http://windows.php.net/download/ select a Thread Safe
2- Copy the files in the folder c :/ appserv / then Extract in folder
3- Save the old version of php – php folder rename long way from being php5 php5-bak
4- Rename the new php folder into the folder with the name php5
5- Go to Start -> Control Panel -> System and Security -> Administrative Tools -> Click on Services
6- Find a service with the name apache2.2 then stop the service and start again
completed
7- Please check with phpinfo, appserv Windows congratulations you are now using the latest version of PHP. good luck

 

Translated from Link

Advertisements
Tags:

5 Responses to "Tutorial Upgrade PHP on Windows appserv"

hello sir . thnx for great detials , but when i do downlaod php 5.3.X and rename to php5 in appserv foder the appache 2.2 do not start again when i do stop , so the its working with old php5 folder only , do you have any solution plz , for more info. im useing win7

Are you try to restarting your computer to let appserv start with itself ?

my problem was with Non Thread Safe , its working now thnx a million but the only problem is , when i want to open phpmyadmin , its not open , it gives all these below errors

Deprecated: Function eregi() is deprecated in C:\AppServ\www\phpMyAdmin\libraries\select_lang.lib.php on line 143

Deprecated: Function eregi() is deprecated in C:\AppServ\www\phpMyAdmin\libraries\select_lang.lib.php on line 143

Deprecated: Function eregi() is deprecated in C:\AppServ\www\phpMyAdmin\libraries\select_lang.lib.php on line 143
#0 PMA_sendHeaderLocation(error.php?error=%232000+-+mysqlnd+cannot+connect+to+MySQL+4.1%2B+using+the+old+insecure+authentication.+Please+use+an+administration+tool+to+reset+your+password+with+the+command+SET+PASSWORD+%3D+PASSWORD%28%27your_existing_password%27%29.+This+will+store+a+new%2C+and+more+secure%2C+hash+value+in+mysql.user.+If+this+user+is+used+in+other+scripts+executed+by+PHP+5.2+or+earlier+you+might+need+to+remove+the+old-passwords+flag+from+your+my.cnf+file) called at [C:\AppServ\www\phpMyAdmin\libraries\auth\http.auth.lib.php:199]
#1 PMA_auth_fails() called at [C:\AppServ\www\phpMyAdmin\libraries\dbi\mysql.dbi.lib.php:82]
#2 PMA_DBI_connect(root, root, 1) called at [C:\AppServ\www\phpMyAdmin\libraries\common.lib.php:3228]
#3 require_once(C:\AppServ\www\phpMyAdmin\libraries\common.lib.php) called at [C:\AppServ\www\phpMyAdmin\index.php:36]

Fatal error: PMA_sendHeaderLocation called when headers are already sent! in C:\AppServ\www\phpMyAdmin\libraries\common.lib.php on line 1072

Attach the file to see what is the problem

Dear sir , thnx for quick replay , what file i should to attach ? also theres not brows command to upload any file

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

w

Connecting to %s

Categories

Ads

Advertisements
%d bloggers like this: